Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations
Class EliteOperationSelection

    java.lang.Object
      Operator.Operations.SelectionOperation
          Operator.Operations.EliteOperationSelection

All Implemented Interfaces:
  Operation, ParameterI

    public class EliteOperationSelection

extends SelectionOperation

Class for selection of elites.

Field Summary

Fields inherited from class Operator.Operations.SelectionOperation
`selectedPopulation, size`

Constructor Summary
`EliteOperationSelection(int size)` New instance
`EliteOperationSelection(java.util.Properties p)` New instance

Method Summary
`void` | `doOperation(Individual operand)` Performs the operation on an operand
`void` | `doOperation(java.util.List<Individual> operands)` Ranks the population.
`boolean` | `isEvaluateElites()`
`void` | `setEvaluate_elites(boolean evaluate_elites)`
`void` | `setProperties(java.util.Properties p)` Set properties

Methods inherited from class Operator.Operations.SelectionOperation
`getSelectedPopulation, getSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EliteOperationSelection

    public EliteOperationSelection(int size)

  New instance

  Parameters:
    `size` - size of elites

### EliteOperationSelection

    public EliteOperationSelection(java.util.Properties p)

  New instance

  Parameters:
    `p` - properties

Method Detail

### setProperties

    public void setProperties(java.util.Properties p)

  Description copied from class: `SelectionOperation`
  Set properties

  Specified by:
    `setProperties` in interface `ParameterI`
  Overrides:
    `setProperties` in class `SelectionOperation`
  Parameters:
    `p` - object containing properties

### isEvaluateElites

    public boolean isEvaluateElites()

### doOperation

    public void doOperation(Individual operand)

  Description copied from interface: `Operation`
  Performs the operation on an operand

  Specified by:
    `doOperation` in interface `Operation`
  Specified by:
    `doOperation` in class `SelectionOperation`
  Parameters:
    `operand` - operand to perform operation on

### doOperation

    public void doOperation(java.util.List<Individual> operands)

  Ranks the population. Takes out size number of individuals and adds to the selectedPopulation.

  Specified by:
    `doOperation` in interface `Operation`
  Specified by:
    `doOperation` in class `SelectionOperation`
  Parameters:
    `operands` - Individuals to select from

### setEvaluate_elites

    public void setEvaluate_elites(boolean evaluate_elites)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD